/*--------------------------------------------------------------------------------------+
|
|     $Source: MstnExamples/DgnEC/PickListExamples/NativeExample/PickListNativeExampleCmd.r $
|
|  $Copyright: (c) 2018 Bentley Systems, Incorporated. All rights reserved. $
|
+--------------------------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|																		|
|    $Logfile:   J:MstnExamples/DgnEC/PickListExamples/NativeExample/PickListNativeExampleCmd.r_v  $
|   $Workfile:   PickListNativeExampleCmd.r  $
|   	$Date:   2018/09/26 $
|																		|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|																		|
|   Function -															|
|																		|
|	"Basic Dialog Example" Command Table Resources						|
|                                                                       |
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|																		|
|   Include Files   													|
|																		|
+----------------------------------------------------------------------*/
#pragma         suppressREQCmds

#include        <Mstn\MdlApi\rscdefs.r.h>
#include        <Mstn\MdlApi\cmdclass.r.h>
#include        "PickListNativeExample.h"

/*----------------------------------------------------------------------+
|																		|
|  Local Defines														|
|																		|
+----------------------------------------------------------------------*/
#define CT_NONE					0
#define CT_MAIN 				1
#define CT_PICKLISTNATIVEEXAMPLE                2

/*----------------------------------------------------------------------+
|																		|
|   Main Commands														|
|																		|
+----------------------------------------------------------------------*/

/*----------------------------------------------------------------------+
|
|  Register Application and DLL
|
+----------------------------------------------------------------------*/
#define DLLAPP_PICKLISTNATIVEEXAMPLE        1

DllMdlApp DLLAPP_PICKLISTNATIVEEXAMPLE =
    {
    L"PickListNativeExample", L"PickListNativeExample"
    }

CommandTable   CT_MAIN =
{
    {  1, CT_PICKLISTNATIVEEXAMPLE,     PARAMETERS,	REQ,	    "PICKLISTNATIVEEXAMPLE" },
};

CommandTable   CT_PICKLISTNATIVEEXAMPLE =
{
    {  1, CT_NONE,     INHERIT,	NONE,	    "CREATE" },
    {  2, CT_NONE,     INHERIT,	NONE,	    "DELETEALL" },
    {  3, CT_NONE,     INHERIT,	NONE,	    "INSTANCE" },
};
